JNews error after upgrade to php7.1

This forum is for general questions about extensions for Joomla! 3.x.

Moderators: pe7er, General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
pilotmc
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Jun 15, 2019 6:28 am

JNews error after upgrade to php7.1

Post by pilotmc » Sat Jun 15, 2019 6:31 am

Hello, all.

I upgraded PHP to 7.1 and now my newsletter list is displaying an error:

Recoverable fatal error: Object of class stdClass could not be converted to string in /var/www/www.mysite.com/administrator/components ... istype.php on line 67

Can someone give me some guidance on how to correct this?

Thanks.
Last edited by pilotmc on Sat Jun 15, 2019 6:34 am, edited 2 times in total.

pilotmc
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Jun 15, 2019 6:28 am

Re: JNews error after upgrade to php7.1

Post by pilotmc » Sat Jun 15, 2019 6:34 am

PHP Version 7.1.30-1+0~20190531112602.19+stretch~1.gbpab9d28
Joomla! 3.9.5 Stable [ Amani ] 9-April-2019 15:00 GMT
Joomla Platform 13.1.0 Stable [ Curiosity ] 24-Apr-2013 00:00 GMT
Linux web1 4.4.134-1-pve #1 SMP PVE 4.4.134-112 (Thu, 05 Jul 2018 12:39:16 +0000) x86_64 GNU/Linux

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 11196
Joined: Thu Feb 15, 2007 5:48 am
Location: Suzhou, China

Re: JNews error after upgrade to php7.1

Post by toivo » Sat Jun 15, 2019 6:48 am

Which version of PHP did you upgrade from?

Which version of JNews do you have? The latest version is 9.3.1 and it works all right in PHP 7.1 and above.

Joomla to 3.9.8 was released this week.
Toivo Talikka, Global Moderator

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 25946
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: JNews error after upgrade to php7.1

Post by Per Yngve Berg » Sat Jun 15, 2019 6:53 am

JNews is not compatible with PHP 7.1. Get an update.

According to the JED, this extension is not updated since 2016 and does not use the Joomla updater.

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 11196
Joined: Thu Feb 15, 2007 5:48 am
Location: Suzhou, China

Re: JNews error after upgrade to php7.1

Post by toivo » Sat Jun 15, 2019 7:08 am

wrote:According to the JED, this extension is not updated since 2016
The JED entry at https://extensions.joomla.org/extension/jnews/ is out of date because the available free version is jNews 9.3.1.
Toivo Talikka, Global Moderator

pilotmc
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Jun 15, 2019 6:28 am

Re: JNews error after upgrade to php7.1

Post by pilotmc » Tue Jun 18, 2019 5:58 pm

Thanks... Get an update to what? Looks like the only recourse would be downgrading back to PHP 5.6 to preserve all of our letters and customer settings, correct? Is there a drop-in replacement to JNews?

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 11196
Joined: Thu Feb 15, 2007 5:48 am
Location: Suzhou, China

Re: JNews error after upgrade to php7.1

Post by toivo » Tue Jun 18, 2019 7:23 pm

If your version of JNews does not work with PHP 7.1, it is most likely an older version and therefore needs to be updated to the latest version 9.3.1.

Regarding preserving the existing data, read the JNews update instructions.

It is standard practice to make a full backup before updating a component that is essential to your core business. Many websites use the popular Akeeba Backup component to generate a .jpa backup file, containing both the filesystem and the database.

If you are not confident in the update process, which usually depends on how outdated the previous version is and also on the update script of the vendor, restore a full backup of your site to a Windows workstation running a bundle like XAMPP or Wampserver and do a trial update first.
Toivo Talikka, Global Moderator


Post Reply

Return to “Extensions for Joomla! 3.x”